## visad
Interface RemoteSlaveDisplay

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RemoteSlaveDisplayImpl, SocketSlaveDisplay

public interface RemoteSlaveDisplay
extends Remote

RemoteSlaveDisplay is the interface for "slave" displays that receive their images from another source, instead of doing the rendering themselves.

Method Summary
`void` `sendImage(int[] pixels, int width, int height, int type)` Update this slave display with the given RLE-encoded image pixels
`void` `sendMessage(String message)` Send the given message to this slave display

Method Detail

### sendImage

    public void sendImage(int[] pixels,
                          int width,
                          int height,
                          int type)
                   throws RemoteException

  Update this slave display with the given RLE-encoded image pixels

  Throws:
    `RemoteException`

### sendMessage

    public void sendMessage(String message)
                     throws RemoteException

  Send the given message to this slave display

  Throws:
    `RemoteException`